Enable bot passwords on Governance wiki
Closed, ResolvedPublic

Description

Enable bot passwords on Governance wiki for use on bots and also things like AWB. Generally I think this will help close any potential security holes as we rescope the wiki and potentially increase its user base and usage.

Varnent created this task.Sep 25 2018, 1:39 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 25 2018, 1:39 AM

Change 462799 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] [GovernanceWiki] Enable BotPasswords

https://gerrit.wikimedia.org/r/462799

Change 462799 merged by jenkins-bot:
[operations/mediawiki-config@master] [GovernanceWiki] Enable BotPasswords

https://gerrit.wikimedia.org/r/462799

So much for that attempt. :-(

Bad omen for future changes. ;p

Still seem doable?

Bad omen for future changes. ;p

Still seem doable?

It just needs to have a table created (because its not using the SUL version at meta). Fairly normal part of the process, it just wasn't realized that that was required during swat.

Varnent triaged this task as Normal priority.Oct 19 2018, 5:46 PM

Change 472358 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] [GovernanceWiki] Enable BotPasswords, take two.

https://gerrit.wikimedia.org/r/472358

Mentioned in SAL (#wikimedia-operations) [2018-11-08T00:26:19Z] <James_F> Created the bot_passwords table for Governance wiki T205368

Change 472358 merged by jenkins-bot:
[operations/mediawiki-config@master] [GovernanceWiki] Enable BotPasswords, take two.

https://gerrit.wikimedia.org/r/472358

Mentioned in SAL (#wikimedia-operations) [2018-11-08T00:32:58Z] <jforrester@deploy1001> Synchronized wmf-config/InitialiseSettings.php: T205368 Enable BotPasswords on Governance wiki (duration: 00m 55s)

Jdforrester-WMF closed this task as Resolved.Nov 8 2018, 12:34 AM
Jdforrester-WMF removed a project: Patch-For-Review.